NSX-T Data Center REST API

Get VpcSecurityProfile

Retrieves a specific VPC Security Profile by its unique identifier within a project context.
The security profile contains comprehensive security configurations including north-south (Gateway Firewall)
and east-west (Distributed Firewall) settings. This API returns detailed information about VPC Gateway firewall enablement
status and associated security strategies that define the security posture for VPCs.
Currently, this API primarily returns system-generated default security profiles at the project level.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpc-security-profiles/{vpc-security-profile-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-2

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
VpcSecurityProfile+

Example Response:

{ "is_default": false, "north_south_firewall": { "enabled": true }, "east_west_firewall": { "security_strategies": [ "/orgs/default/projects/default/security-strategies/vpc-isolation" ] }, "resource_type": "VpcSecurityProfile", "id": "system-security-profile-2", "display_name": "System Security Profile 2", "description": "Deny any communication between VPCs within the project. All workloads within the VPC to be allowed to communicate", "path": "/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-2", "relative_path": "system-security-profile-2", "parent_path": "/orgs/default/projects/Production_Prj", "remote_path": "", "unique_id": "81e73d01-ec07-4863-9154-3d06ae74ddd7", "realization_id": "81e73d01-ec07-4863-9154-3d06ae74ddd7", "owner_id": "3ae63613-323b-4465-bf36-14274fd591e3", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1757929316405, "_create_user": "system", "_last_modified_time": 1757929316405, "_last_modified_user": "system", "_revision": 0 }

Required Permissions:

read

Feature:

policy_edge_fw

Additional Errors: